<?php 

/*
 *	Copyright 2011-2013 Benjamin Ingle
 *	The PSyOPs framework is licensed 
 *	under the GNU LGPL, version 2.1
 *	http://www.gnu.org/licenses/old-licenses/lgpl-2.1.txt
 */

/*	//DEBUG
 foreach($_POST as $key => $value)
 echo $key."=".$value;
*/	

include_once $_SERVER['DOCUMENT_ROOT'] . '/psyops_function.php';

if (array_key_exists('check_submit', $_POST)) {
	
$connect = connect_mysqli();
mysqli_select_db($connect, 'setup');

$cookie = ret_cookie($connect);
$repID = $cookie[0];
$level = $cookie[1];
unset($cookie);

$idConn = connect_sqlsrv();

$checkSubmit = ($_POST['check_submit']);
$mfg = sanitize($_POST['venPrefix']);


setlocale(LC_MONETARY, 'en_US');

if ($_POST['checkVC'] == 'prefix') {
	$limit = 'VendorCostPlan.MACCode = ';
// 	$subVen = NULL;
} else if ($_POST['checkVC'] == 'contract') {
	$limit = 'VendorCostPlan.CostPlan = ';
// 	$subVen = NULL;
} else if ($_POST['checkVC'] == 'vendor') {
	$subVen = $mfg;
	$tsql = "select Vendor.ContractFrom, Vendor.ContractTo 
		from Vendor
		where Vendor.Number = (?)";
	$params = array($subVen);
	$options = array("Scrollable" => SQLSRV_CURSOR_KEYSET);
	$getReport = sqlsrv_query($idConn, $tsql, $params, $options);
	
	if ($getReport === false) {
		die(print_r(sqlsrv_errors()) );
	}
	$row = sqlsrv_fetch_array($getReport, SQLSRV_FETCH_NUMERIC);	
	$limit = "VendorCostPlan.CostPlan between '" . $row[0] . "' and '" . $row[1] . "'";
}

if ($checkSubmit == 9) {						// VIEW VENDOR CONTRACT

if (@!$subVen) {
	$tsql = "select VendorCostPlan.CostPlan, VendorCostPlan.MACCode, VendorCostPlan.SKU, VendorCostPlan.Cost as 'Contract Cost', 
		ItemVendor.Cost as 'Direct Cost', Item.Unit as 'Sell UM', ItemVendor.BuyUOM as 'Buy UM', ItemVendor.CartonSize, ItemVendor.ItemId
	from VendorCostPlan left join (
		ItemVendor right join Item on ItemVendor.ItemId = Item.Id
	)
	on VendorCostPlan.ItemId = ItemVendor.ItemId
	where $limit (?)
		and ItemVendor.VendorType = (?)
	order by VendorCostPlan.SKU asc
	";
	$params = array($mfg, 'M');
} else {
	$tsql = "select VendorCostPlan.CostPlan, VendorCostPlan.MACCode, VendorCostPlan.SKU, VendorCostPlan.Cost as 'Contract Cost', 
		ItemVendor.Cost as 'Direct Cost', Item.Unit as 'Sell UM', ItemVendor.BuyUOM as 'Buy UM', ItemVendor.CartonSize, ItemVendor.ItemId
	from VendorCostPlan left join (
		ItemVendor right join Item on ItemVendor.ItemId = Item.Id
	)
		on VendorCostPlan.ItemId = ItemVendor.ItemId
	where ItemVendor.VendorType = (?)
		and $limit
	";
	$params = array('M');
}

$options = array("Scrollable" => SQLSRV_CURSOR_KEYSET);
$getReport = sqlsrv_query($idConn, $tsql, $params, $options);


if ($getReport === false) {
	die(print_r(sqlsrv_errors()) );
}

					// 
echo ("
<script type='text/javascript'>
$(document).ready(function() 
    { 
	    $(document).ready(function() {
    	$('#viewtable').dataTable({
	    	'aaSorting': [[1,'asc']],
		    'bPaginate': false,
	        'bLengthChange': false,
	        'bFilter': true,
	        'bSort': true,
	        'bInfo': false,
	        'bAutoWidth': false
    	});
		});
    } 
); 
</script>
	<table border = '0' cellspacing='0' cellpadding='8' style='font-family:Arial, sans-serif;' id='viewtable' class='tablesorter'>
	<thead>
	<tr>
	<th style='font-size:12px;font-weight:bold;color:#000000;'>Cont</th>
	<th style='font-size:12px;font-weight:bold;color:#000000;'>Item</th>
	<th style='font-size:12px;;font-weight:bold;color:#000000;'>Cont Cost</th>
	<th style='font-size:12px;font-weight:bold;color:#000000;'>Fac Cost</th>
	<th style='font-size:12px;font-weight:bold;color:#000000;'>Markup</th>
	<th style='font-size:12px;font-weight:bold;color:#000000;'>P.Cost</th>
	<th style='font-size:12px;font-weight:bold;color:#000000;'>&#916; PC v FC</th>
	<th style='font-size:12px;font-weight:bold;color:#000000;'>Sell UM</th>
	<th style='font-size:12px;font-weight:bold;color:#000000;'>Buy UM</th>
	<th style='font-size:12px;font-weight:bold;color:#000000;'>Case Qty</th>
	
	</tr></thead><tbody>"
	);
	

$i = 1;
while ($row = sqlsrv_fetch_array($getReport, SQLSRV_FETCH_NUMERIC)) {
	$mfg = trim($row[1]);
	$sku = trim($row[2]);
		$item = $mfg.$sku;
	$cCost = '$'.number_format($row[3], 2, '.', '');
	$dCost = '$'.number_format($row[4], 2, '.', '');
	$markup = round(((($row[4] - $row[3]) / $row[3]) * 100), 2);
	$markup = number_format($markup, 2, '.', '') . '%';
		
	$tsql = "select ItemVendor.Cost
		from ItemVendor left join Item on ItemVendor.ItemId = Item.Id
		where ItemVendor.ItemId = (?) 
			and ((Item.PurchaseVendorType = ItemVendor.VendorType
			and Item.PurchaseVendorSequence = ItemVendor.Sequence) 
				or (Item.PurchaseVendorSequence = 0 and ItemVendor.VendorType = 'W' and ItemVendor.Sequence = 1))
	";
	$params = array($row[8]);
	
	$options = array("Scrollable" => SQLSRV_CURSOR_KEYSET);
	$getVCost = sqlsrv_query($idConn, $tsql, $params, $options);

	if ($getVCost === false) {
		die(print_r(sqlsrv_errors()) );
	}
	
	$vCost = sqlsrv_fetch_array($getVCost, SQLSRV_FETCH_NUMERIC);
	$pCost = '$'.number_format($vCost[0], 2, '.', '');
	$delta = round(((($vCost[0] - $row[4]) / $row[4]) * 100), 2);
		$delta = number_format($delta, 2, '.', '') . '%';

     echo ("
     <tr>
     <td style='font-size:12px;color:#000000;'>$row[0]</td>
     <td style='font-size:12px;color:#000000;'>$item</td>
     <td style='font-size:12px;color:#000000;'>$cCost</td>
     <td style='font-size:12px;color:#000000;'>$dCost</td>
     <td style='font-size:12px;color:#000000;'>$markup</td>
     <td style='font-size:12px;color:#000000;'>$pCost</td>
     <td style='font-size:12px;color:#000000;'>$delta</td>
     <td style='font-size:12px;color:#000000;'>$row[5]</td>
     <td style='font-size:12px;color:#000000;'>$row[6]</td>
     <td style='font-size:12px;color:#000000;'>$row[7]</td>
     
     </tr>
     ");
  $i++;
}

echo ("</tbody></table></form></html>");
										
insert_timestamp($connect, 'vendor contract', 'viewed', $repID);

// clean up
sqlsrv_free_stmt($getReport);
sqlsrv_close($idConn);
mysqli_close($connect);
unset($checkSubmit);
exit;
}															// END CHECKSUBMIT == 9

} else {
 	echo "You can't see this page without submitting the form.";
}	

?>

